<?php
/*
 * @Descripttion: 
 * @version: 1.0.0
 * @Author: likang
 * @Date: 2022-08-12 10:33:24
 * @LastEditors: likang 1186820806@qq.com
 * @LastEditTime: 2023-02-20 16:01:54
 */




namespace catchAdmin\api\controller;

use catchAdmin\tag_history\model\TagHistory;
use catchAdmin\worklocation\model\WorkRecord as ModelWorkRecord;
use catcher\base\CatchRequest as Request;
use catcher\CatchResponse;
use catcher\base\CatchController;
use \think\facade\Db;


error_reporting(0);
class Api extends CatchController
{
    public function report()
    {
        $token = $_GET['token'];
        if (!$token || $token != '22723927C') {
            json_fail('缺少token或者token不对');
        }
        $param = json_decode(optimize_json(file_get_contents("php://input")), true);
        if (json_last_error() != 0) {
            json_fail('解析异常', json_last_error_msg());
        }
        $mac = $param['mac'];
        if (empty($mac)) {
            json_fail('mac地址不存在');
        }
        $data = [];
        foreach ($param['list'] as $item) {
            $data[] = [
                'mac' => $mac,
                'lable' => $item['label'],
                'rssi' => $item['rssi'],
                'time' => $item['time'],
                'addTime' => time(),
                'move' => $item['move'],
                'step' => empty($item['step']) ? 0 : $item['step'],
                'temperature' => empty($item['temperature']) ? 0 : $item['temperature'],
                //告警
                'temperWarn' => empty($item['temperWarn']) ? 00 : $item['temperWarn'],
            ];
        }
        $tage = new TagHistory();
        $tage->saveAll($data);
        json_success('上传成功');
    }
    /**
     * 删除前1天的数据
     *
     * @return void 
     */
    public function deleteHistory()
    {
        while(true)
        {
           
            $where[] = ['addTime','<',strtotime("-1 day")];
            Db::name('tag_history')->where($where)->delete();
            sleep(60*60*24);
        }
    
    }

    /**
     * 检测小程序版本版本 function
     *
     * @return void
     */
    public function detectionVersion(){
        $token = $_GET['token'];
        if (!$token || $token != '444333d3') {
            json_fail('缺少token或者token不对');
        }

        $data["url"]="http://47.114.185.186:8118/images/20221201/113b710397ddf9df0d197455f727fa80.pdf";
        $data["version"]="1.1.0";
        json_success("查询版本成功",$data);
    }






}





